%define name perl-Parse-RecDescent
%define real_name Parse-RecDescent
%define version 1.80
%define release 6mdk

Summary:	Parse-RecDescent module for perl (String_Lang_Text_Proc/Text)
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	ftp://ftp.pasteur.fr/pub/computing/CPAN/modules/by-module/Parse/%{real_name}-%{version}.tar.bz2
Url:		http://www.cpan.org/
Prefix:		%{_prefix}
BuildRequires:	perl-devel
BuildArch:	noarch
Buildroot:	%{_tmppath}/%{name}-root
Requires:	perl

%description
Parse-RecDescent module for perl enable to write perl plug-ins for GIMP (the
Gnu Image Manipulation Program).

%prep
%setup -q -n %{real_name}-%{version}
%{__perl} -p -i -e 's|#!.*/usr/local/bin/perl|#!/usr/bin/perl|' `find . -name '*.pl'`

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor PREFIX=%{prefix}
%make OPTIMIZE="$RPM_OPT_FLAGS" PREFIX=%{prefix}
%make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX=$RPM_BUILD_ROOT%{prefix}

# now in perl
rm -f $RPM_BUILD_ROOT%{_mandir}/*/Text*

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README Changes
%{_mandir}/*/*
%{perl_vendorlib}/Parse

%changelog
* Tue Jul  9 2002 Pixel <pixel@mandrakesoft.com> 1.80-6mdk
- rebuild for perl 5.8.0
- remove Text::Balanced which is included in perl

* Tue Jul  9 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.80-5mdk
- Use perl_sitelib, perl_man3dir

* Thu Nov 08 2001 Franois Pons <fpons@mandrakesoft.com> 1.80-4mdk
- build release.

* Mon Oct 15 2001 Stefan van der Eijk <stefan@eijk.nu> 1.80-3mdk
- BuildRequires: perl-devel

* Sun Jun 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.80-2mdk
- Rebuild against the latest perl.

* Wed Jan 31 2001 Franois Pons <fpons@mandrakesoft.com> 1.80-1mdk
- 1.80.

* Tue Nov 14 2000 Franois Pons <fpons@mandrakesoft.com> 1.79-2mdk
- fixed description.

* Tue Aug 29 2000 Franois Pons <fpons@mandrakesoft.com> 1.79-1mdk
- 1.79.

* Thu Aug 03 2000 Franois Pons <fpons@mandrakesoft.com> 1.78-4mdk
- macroszifications.
- noarch.
- add doc.

* Tue Jul 18 2000 Franois Pons <fpons@mandrakesoft.com> 1.78-3mdk
- removed perllocal.pod file.

* Sun Jul 09 2000 David BAUDENS <baudens@mandrakesoft.com> 1.78-2mdk
- Fix build
- Rename spec according to package's name & little spec cleanup
- Remove french description & summary (in po)

* Mon Apr  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.78-1mdk
- 1.78
- fixed group
- rebuild with new perl
- fixed location
- better patch for annoying /usr/local/bin/perl's

* Tue Nov 23 1999 Franois PONS <fpons@mandrakesoft.com>
- upgraded to version 1.77
- Build release.

* Tue Oct 19 1999 Franois PONS <fpons@mandrakesoft.com>
- upgraded to version 1.70

* Tue Jul 22 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- fix bogus spec

* Tue Jul 22 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- add french description
- write a real english description

* Tue Jul 13 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- bzip2 source
- Mandrake adaptation
